<ngx-loading [show]="isLoading" />

<jds-bi-modal
  id="modal-agreement"
  #modal
  [isClose]="false"
  size="lg"
  position="center"
>
  <ng-container ngProjectAs="header">
    <h6>Syarat dan Ketentuan Penggunaan Satu Data Jabar</h6>
  </ng-container>
  <ng-container ngProjectAs="body">
    <form
      class="form"
      #agreementForm="ngForm"
      [formGroup]="myForm"
      (ngSubmit)="onSubmit()"
      (keydown.enter)="$event.stopPropagation()"
    >
      <div [ngClass]="[jds.card, jds.mb(16)]">
        <div
          [ngClass]="[jds.cardBody]"
          [style.maxHeight.px]="agreementMaxHeight"
          [style.overflowY]="'auto'"
          (scroll)="onScroll($event)"
        >
          <ng-container *ngIf="agreementIsLoading">
            <div
              class="wrapper-skeleton"
              *ngFor="let number of [80, 40, 50, 20]"
            >
              <ngx-skeleton-loader
                [theme]="{
                  width: number + '%',
                  'border-radius': '0',
                  height: '22px',
                  'margin-bottom': '0'
                }"
              />
            </div>
          </ng-container>

          <ng-container *ngIf="!agreementIsLoading">
            <ng-container *ngIf="agreementData">
              <div
                #agreementContent
                [ngClass]="[jds.ckeditor]"
                [innerHTML]="agreementData.agreement_text | safeHtml"
              ></div>
            </ng-container>
          </ng-container>
        </div>
      </div>

      <div [ngClass]="[jds.mb(16)]">
        <div [ngClass]="[jds.formCheck]">
          <input
            [ngClass]="[jds.formCheckInput]"
            type="checkbox"
            formControlName="checklist"
          />
          <label [ngClass]="[jds.formCheckLabel]">
            Saya menyetujui seluruh Syarat dan Ketentuan yang berlaku.
          </label>
        </div>
      </div>
    </form>
  </ng-container>
  <ng-container ngProjectAs="footer">
    <button
      [disabled]="!agreementForm.valid"
      [colorScheme]="colorScheme"
      (click)="agreementForm.ngSubmit.emit('Save')"
      type="submit"
      jdsBiButton
    >
      Lanjutkan
    </button>
  </ng-container>
</jds-bi-modal>
